<?php


return  
    [
        'model' => [
            'model' => \Bixo\Deal\Models\Contact::class,
            'table' => 'bixo_deal_contacts',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['deal_id',  'contact_id',  'poa_manager',  'poa_manager_nationality'],
            'translatables' => [],
            'upload_folder' => 'deal/contact',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "deal_id", 
                "type" => "text", 
                "label" => 'deal::contact.label.deal_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_id", 
                "type" => "text", 
                "label" => 'deal::contact.label.contact_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "poa_manager", 
                "type" => "text", 
                "label" => 'deal::contact.label.poa_manager', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "poa_manager_nationality", 
                "type" => "text", 
                "label" => 'deal::contact.label.poa_manager_nationality', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'deal_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::contact.label.deal_id',
                "placeholder" => 'deal::contact.placeholder.deal_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::contact.label.contact_id',
                "placeholder" => 'deal::contact.placeholder.contact_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'poa_manager',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::contact.label.poa_manager',
                "placeholder" => 'deal::contact.placeholder.poa_manager',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'poa_manager_nationality',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::contact.label.poa_manager_nationality',
                "placeholder" => 'deal::contact.placeholder.poa_manager_nationality',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'deal/contact/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'deal/contact/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'deal/contact',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'deal/contact',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'deal/contact',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'deal/contact',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'deal::contact.label.created_at',
            'name' => 'deal::contact.label.name',
            'status' => 'deal::contact.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "deal::contact.groups.main",
                'group' => "main.main",
                'title' => "deal::contact.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "deal::contact.groups.details",
                'group' => "main.details",
                'title' => "deal::contact.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "deal::contact.groups.images",
                'group' => "main.images",
                'title' => "deal::contact.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "deal::contact.groups.settings",
                'group' => "main.settings",
                'title' => "deal::contact.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Deal',
            'module' => 'Contact',
        ],

        
        
    ];
