<?php


return  
    [
        'model' => [
            'model' => \Bixo\Deal\Models\Deal::class,
            'table' => 'bixo_deal_deals',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['offer_id',  'listing_id',  'opportunity_id',  'category_type',  'category',  'seller_source',  'buyer_source',  'country_id',  'region_id',  'location_id',  'sublocation_id',  'building_id',  'ref',  'type',  'developer_id',  'bua',  'plot',  'beds',  'baths',  'price',  'plot_area',  'frequency',  'furnished',  'cheques',  'payment_mode',  'maintenance_fee',  'rent_start_date',  'rent_end_date',  'next_available',  'deposit',  'deposit_percent',  'commission_buyer',  'commission_buyer_percent',  'commission_buyer_vat',  'commission_seller',  'commission_seller_percent',  'commission_seller_vat',  'company_com_prs',  'company_com_amt',  'deal_date',  'unit_no',  'agency_agent_name',  'agency_name',  'agency_representing',  'agency_prs',  'agency_agents_mobile',  'agency_amount',  'conveyance_fee',  'penalty',  'notes',  'documents',  'seller_documents',  'buyer_documents',  'payment_date',  'status',  'created_by',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'deal/deal',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "offer_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.offer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "listing_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.listing_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "opportunity_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.opportunity_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category_type", 
                "type" => "text", 
                "label" => 'deal::deal.label.category_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category", 
                "type" => "text", 
                "label" => 'deal::deal.label.category', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_source", 
                "type" => "text", 
                "label" => 'deal::deal.label.seller_source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_source", 
                "type" => "text", 
                "label" => 'deal::deal.label.buyer_source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "region_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.region_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.location_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sublocation_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.sublocation_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "building_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.building_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'deal::deal.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'deal::deal.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "developer_id", 
                "type" => "text", 
                "label" => 'deal::deal.label.developer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bua", 
                "type" => "text", 
                "label" => 'deal::deal.label.bua', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "plot", 
                "type" => "text", 
                "label" => 'deal::deal.label.plot', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "beds", 
                "type" => "text", 
                "label" => 'deal::deal.label.beds', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "baths", 
                "type" => "text", 
                "label" => 'deal::deal.label.baths', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "price", 
                "type" => "text", 
                "label" => 'deal::deal.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "plot_area", 
                "type" => "text", 
                "label" => 'deal::deal.label.plot_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "frequency", 
                "type" => "text", 
                "label" => 'deal::deal.label.frequency', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "furnished", 
                "type" => "text", 
                "label" => 'deal::deal.label.furnished', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheques", 
                "type" => "text", 
                "label" => 'deal::deal.label.cheques', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_mode", 
                "type" => "text", 
                "label" => 'deal::deal.label.payment_mode', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "maintenance_fee", 
                "type" => "text", 
                "label" => 'deal::deal.label.maintenance_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_start_date", 
                "type" => "text", 
                "label" => 'deal::deal.label.rent_start_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_end_date", 
                "type" => "text", 
                "label" => 'deal::deal.label.rent_end_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "next_available", 
                "type" => "text", 
                "label" => 'deal::deal.label.next_available', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deposit", 
                "type" => "text", 
                "label" => 'deal::deal.label.deposit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deposit_percent", 
                "type" => "text", 
                "label" => 'deal::deal.label.deposit_percent', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_buyer", 
                "type" => "text", 
                "label" => 'deal::deal.label.commission_buyer', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_buyer_percent", 
                "type" => "text", 
                "label" => 'deal::deal.label.commission_buyer_percent', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_buyer_vat", 
                "type" => "text", 
                "label" => 'deal::deal.label.commission_buyer_vat', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_seller", 
                "type" => "text", 
                "label" => 'deal::deal.label.commission_seller', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_seller_percent", 
                "type" => "text", 
                "label" => 'deal::deal.label.commission_seller_percent', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_seller_vat", 
                "type" => "text", 
                "label" => 'deal::deal.label.commission_seller_vat', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "company_com_prs", 
                "type" => "text", 
                "label" => 'deal::deal.label.company_com_prs', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "company_com_amt", 
                "type" => "text", 
                "label" => 'deal::deal.label.company_com_amt', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deal_date", 
                "type" => "text", 
                "label" => 'deal::deal.label.deal_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit_no", 
                "type" => "text", 
                "label" => 'deal::deal.label.unit_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agency_agent_name", 
                "type" => "text", 
                "label" => 'deal::deal.label.agency_agent_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agency_name", 
                "type" => "text", 
                "label" => 'deal::deal.label.agency_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agency_representing", 
                "type" => "text", 
                "label" => 'deal::deal.label.agency_representing', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agency_prs", 
                "type" => "text", 
                "label" => 'deal::deal.label.agency_prs', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agency_agents_mobile", 
                "type" => "text", 
                "label" => 'deal::deal.label.agency_agents_mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agency_amount", 
                "type" => "text", 
                "label" => 'deal::deal.label.agency_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "conveyance_fee", 
                "type" => "text", 
                "label" => 'deal::deal.label.conveyance_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "penalty", 
                "type" => "text", 
                "label" => 'deal::deal.label.penalty', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'deal::deal.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "documents", 
                "type" => "text", 
                "label" => 'deal::deal.label.documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_documents", 
                "type" => "text", 
                "label" => 'deal::deal.label.seller_documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_documents", 
                "type" => "text", 
                "label" => 'deal::deal.label.buyer_documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_date", 
                "type" => "text", 
                "label" => 'deal::deal.label.payment_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "created_by", 
                "type" => "text", 
                "label" => 'deal::deal.label.created_by', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'offer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.offer_id',
                "placeholder" => 'deal::deal.placeholder.offer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'listing_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.listing_id',
                "placeholder" => 'deal::deal.placeholder.listing_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'opportunity_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.opportunity_id',
                "placeholder" => 'deal::deal.placeholder.opportunity_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'deal::deal.label.category_type',
                "placeholder" => 'deal::deal.placeholder.category_type',
                "rules" => '',
                "options" => function(){
                    return trans('deal::deal.options.category_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.category',
                "placeholder" => 'deal::deal.placeholder.category',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.seller_source',
                "placeholder" => 'deal::deal.placeholder.seller_source',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.buyer_source',
                "placeholder" => 'deal::deal.placeholder.buyer_source',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.country_id',
                "placeholder" => 'deal::deal.placeholder.country_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'region_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.region_id',
                "placeholder" => 'deal::deal.placeholder.region_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.location_id',
                "placeholder" => 'deal::deal.placeholder.location_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sublocation_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.sublocation_id',
                "placeholder" => 'deal::deal.placeholder.sublocation_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'building_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.building_id',
                "placeholder" => 'deal::deal.placeholder.building_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.ref',
                "placeholder" => 'deal::deal.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'deal::deal.label.type',
                "placeholder" => 'deal::deal.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('deal::deal.options.type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'developer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.developer_id',
                "placeholder" => 'deal::deal.placeholder.developer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bua',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.bua',
                "placeholder" => 'deal::deal.placeholder.bua',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'plot',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.plot',
                "placeholder" => 'deal::deal.placeholder.plot',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'beds',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.beds',
                "placeholder" => 'deal::deal.placeholder.beds',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'baths',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.baths',
                "placeholder" => 'deal::deal.placeholder.baths',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.price',
                "placeholder" => 'deal::deal.placeholder.price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'plot_area',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.plot_area',
                "placeholder" => 'deal::deal.placeholder.plot_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'frequency',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.frequency',
                "placeholder" => 'deal::deal.placeholder.frequency',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'furnished',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.furnished',
                "placeholder" => 'deal::deal.placeholder.furnished',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheques',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.cheques',
                "placeholder" => 'deal::deal.placeholder.cheques',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_mode',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.payment_mode',
                "placeholder" => 'deal::deal.placeholder.payment_mode',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'maintenance_fee',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.maintenance_fee',
                "placeholder" => 'deal::deal.placeholder.maintenance_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_start_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'deal::deal.label.rent_start_date',
                "placeholder" => 'deal::deal.placeholder.rent_start_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_end_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'deal::deal.label.rent_end_date',
                "placeholder" => 'deal::deal.placeholder.rent_end_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'next_available',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'deal::deal.label.next_available',
                "placeholder" => 'deal::deal.placeholder.next_available',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deposit',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.deposit',
                "placeholder" => 'deal::deal.placeholder.deposit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deposit_percent',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.deposit_percent',
                "placeholder" => 'deal::deal.placeholder.deposit_percent',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_buyer',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.commission_buyer',
                "placeholder" => 'deal::deal.placeholder.commission_buyer',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_buyer_percent',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.commission_buyer_percent',
                "placeholder" => 'deal::deal.placeholder.commission_buyer_percent',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_buyer_vat',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.commission_buyer_vat',
                "placeholder" => 'deal::deal.placeholder.commission_buyer_vat',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_seller',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.commission_seller',
                "placeholder" => 'deal::deal.placeholder.commission_seller',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_seller_percent',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.commission_seller_percent',
                "placeholder" => 'deal::deal.placeholder.commission_seller_percent',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_seller_vat',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.commission_seller_vat',
                "placeholder" => 'deal::deal.placeholder.commission_seller_vat',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'company_com_prs',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.company_com_prs',
                "placeholder" => 'deal::deal.placeholder.company_com_prs',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'company_com_amt',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.company_com_amt',
                "placeholder" => 'deal::deal.placeholder.company_com_amt',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deal_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'deal::deal.label.deal_date',
                "placeholder" => 'deal::deal.placeholder.deal_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.unit_no',
                "placeholder" => 'deal::deal.placeholder.unit_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agency_agent_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.agency_agent_name',
                "placeholder" => 'deal::deal.placeholder.agency_agent_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agency_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.agency_name',
                "placeholder" => 'deal::deal.placeholder.agency_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agency_representing',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.agency_representing',
                "placeholder" => 'deal::deal.placeholder.agency_representing',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agency_prs',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.agency_prs',
                "placeholder" => 'deal::deal.placeholder.agency_prs',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agency_agents_mobile',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.agency_agents_mobile',
                "placeholder" => 'deal::deal.placeholder.agency_agents_mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agency_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.agency_amount',
                "placeholder" => 'deal::deal.placeholder.agency_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'conveyance_fee',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.conveyance_fee',
                "placeholder" => 'deal::deal.placeholder.conveyance_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'penalty',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::deal.label.penalty',
                "placeholder" => 'deal::deal.placeholder.penalty',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.notes',
                "placeholder" => 'deal::deal.placeholder.notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.documents',
                "placeholder" => 'deal::deal.placeholder.documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.seller_documents',
                "placeholder" => 'deal::deal.placeholder.seller_documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::deal.label.buyer_documents',
                "placeholder" => 'deal::deal.placeholder.buyer_documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'deal::deal.label.payment_date',
                "placeholder" => 'deal::deal.placeholder.payment_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'created_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::deal.label.created_by',
                "placeholder" => 'deal::deal.placeholder.created_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'deal/deal/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'deal/deal/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'deal/deal',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'deal/deal',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'deal/deal',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'deal/deal',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'deal::deal.label.created_at',
            'name' => 'deal::deal.label.name',
            'status' => 'deal::deal.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "deal::deal.groups.main",
                'group' => "main.main",
                'title' => "deal::deal.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "deal::deal.groups.details",
                'group' => "main.details",
                'title' => "deal::deal.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "deal::deal.groups.images",
                'group' => "main.images",
                'title' => "deal::deal.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "deal::deal.groups.settings",
                'group' => "main.settings",
                'title' => "deal::deal.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Deal',
            'module' => 'Deal',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Deal\Models\Deal::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'deal::deal.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['deal.deal.copy', 'deal.deal.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'deal::deal.label.count',
                        "placeholder" => 'deal::deal.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'deal::deal.label.comment',
                        "placeholder" => 'deal::deal.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'deal::deal.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'deal::deal.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
