<?php


return  
    [
        'model' => [
            'model' => \Bixo\Deal\Models\User::class,
            'table' => 'bixo_deal_users',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['deal_id',  'user_id',  'split',  'agent_',  '5,2)',  'agent_amount',  'company_',  '5,2)',  'company_amount',  'status',  'represents',  'leaderboard'],
            'translatables' => [],
            'upload_folder' => 'deal/user',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "deal_id", 
                "type" => "text", 
                "label" => 'deal::user.label.deal_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "split", 
                "type" => "text", 
                "label" => 'deal::user.label.split', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_", 
                "type" => "text", 
                "label" => 'deal::user.label.agent_', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "5,2)", 
                "type" => "text", 
                "label" => 'deal::user.label.5,2)', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_amount", 
                "type" => "text", 
                "label" => 'deal::user.label.agent_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "company_", 
                "type" => "text", 
                "label" => 'deal::user.label.company_', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "5,2)", 
                "type" => "text", 
                "label" => 'deal::user.label.5,2)', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "company_amount", 
                "type" => "text", 
                "label" => 'deal::user.label.company_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "represents", 
                "type" => "text", 
                "label" => 'deal::user.label.represents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "leaderboard", 
                "type" => "text", 
                "label" => 'deal::user.label.leaderboard', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'deal_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'deal::user.label.deal_id',
                "placeholder" => 'deal::user.placeholder.deal_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'split',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::user.label.split',
                "placeholder" => 'deal::user.placeholder.split',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_',
                "element" => 'package::package.formcontrols.pct',
                "type" => 'package::package.formcontrols.pct',
                "label" => 'deal::user.label.agent_',
                "placeholder" => 'deal::user.placeholder.agent_',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => '5,2)',
                "element" => 'package::package.formcontrols.DEFAULT',
                "type" => 'package::package.formcontrols.DEFAULT',
                "label" => 'deal::user.label.5,2)',
                "placeholder" => 'deal::user.placeholder.5,2)',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::user.label.agent_amount',
                "placeholder" => 'deal::user.placeholder.agent_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'company_',
                "element" => 'package::package.formcontrols.pct',
                "type" => 'package::package.formcontrols.pct',
                "label" => 'deal::user.label.company_',
                "placeholder" => 'deal::user.placeholder.company_',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => '5,2)',
                "element" => 'package::package.formcontrols.DEFAULT',
                "type" => 'package::package.formcontrols.DEFAULT',
                "label" => 'deal::user.label.5,2)',
                "placeholder" => 'deal::user.placeholder.5,2)',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'company_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::user.label.company_amount',
                "placeholder" => 'deal::user.placeholder.company_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'represents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'deal::user.label.represents',
                "placeholder" => 'deal::user.placeholder.represents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'leaderboard',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'deal::user.label.leaderboard',
                "placeholder" => 'deal::user.placeholder.leaderboard',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'deal/user/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'deal/user/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'deal/user',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'deal/user',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'deal/user',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'deal/user',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'deal::user.label.created_at',
            'name' => 'deal::user.label.name',
            'status' => 'deal::user.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "deal::user.groups.main",
                'group' => "main.main",
                'title' => "deal::user.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "deal::user.groups.details",
                'group' => "main.details",
                'title' => "deal::user.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "deal::user.groups.images",
                'group' => "main.images",
                'title' => "deal::user.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "deal::user.groups.settings",
                'group' => "main.settings",
                'title' => "deal::user.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Deal',
            'module' => 'User',
        ],

        
        
    ];
