<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoDealDealsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_deal_deals
         */
        Schema::create('bixo_deal_deals', function ($table) {
            $table->increments('id');
            $table->integer('offer_id')->nullable();
            $table->integer('listing_id')->nullable();
            $table->integer('opportunity_id')->nullable();
            $table->enum('category_type', ['Yes', 'No'])->nullable();
            $table->string('category', 50)->nullable();
            $table->string('seller_source', 30)->nullable();
            $table->string('buyer_source', 30)->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('region_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('building_id')->nullable();
            $table->string('ref', 20)->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->integer('developer_id')->nullable();
            $table->integer('bua')->nullable();
            $table->string('plot', 100)->nullable();
            $table->double('beds', 3,1)->nullable();
            $table->string('baths', 60)->nullable();
            $table->decimal('price', 12,2)->nullable();
            $table->string('plot_area', 60)->nullable();
            $table->string('frequency', 60)->nullable();
            $table->string('furnished', 60)->nullable();
            $table->string('cheques', 60)->nullable();
            $table->string('payment_mode', 100)->nullable();
            $table->string('maintenance_fee', 80)->nullable();
            $table->date('rent_start_date')->nullable();
            $table->date('rent_end_date')->nullable();
            $table->date('next_available')->nullable();
            $table->decimal('deposit', 10,2)->nullable();
            $table->decimal('deposit_percent', 10,2)->nullable();
            $table->decimal('commission_buyer', 10,2)->nullable();
            $table->decimal('commission_buyer_percent', 10,2)->nullable();
            $table->decimal('commission_buyer_vat', 10,2)->nullable();
            $table->decimal('commission_seller', 10,2)->nullable();
            $table->decimal('commission_seller_percent', 10,2)->nullable();
            $table->decimal('commission_seller_vat', 10,2)->nullable();
            $table->decimal('company_com_prs', 5,2)->nullable();
            $table->decimal('company_com_amt', 12,2)->nullable();
            $table->date('deal_date')->nullable();
            $table->string('unit_no', 100)->nullable();
            $table->string('agency_agent_name', 50)->nullable();
            $table->string('agency_name', 255)->nullable();
            $table->string('agency_representing', 100)->nullable();
            $table->decimal('agency_prs', 12,2)->nullable();
            $table->string('agency_agents_mobile', 50)->nullable();
            $table->decimal('agency_amount', 10,2)->nullable();
            $table->decimal('conveyance_fee', 10,2)->nullable();
            $table->decimal('penalty', 10,2)->nullable();
            $table->text('notes')->nullable();
            $table->text('documents')->nullable();
            $table->text('seller_documents')->nullable();
            $table->text('buyer_documents')->nullable();
            $table->dateTime('payment_date')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_deal_deals');
    }
}
