<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoDealUsersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_deal_users
         */
        Schema::create('bixo_deal_users', function ($table) {
            $table->increments('id');
            $table->integer('deal_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->decimal('split', 5,2)->nullable();
            $table->package::package.fieldtype.pct('agent_')->nullable();
            $table->package::package.fieldtype.DEFAULT('5,2)')->nullable();
            $table->decimal('agent_amount', 12,2)->nullable();
            $table->package::package.fieldtype.pct('company_')->nullable();
            $table->package::package.fieldtype.DEFAULT('5,2)')->nullable();
            $table->decimal('company_amount', 12,2)->nullable();
            $table->string('status', 100)->nullable();
            $table->string('represents', 50)->nullable();
            $table->decimal('leaderboard', 12,2)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_deal_users');
    }
}
