<?php

namespace Bixo\Deal\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class DealTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_deal_deals')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.deal.deal.view',
                'name'      => 'View Deal',
            ],
            [
                'slug'      => 'bixo.deal.deal.create',
                'name'      => 'Create Deal',
            ],
            [
                'slug'      => 'bixo.deal.deal.edit',
                'name'      => 'Update Deal',
            ],
            [
                'slug'      => 'bixo.deal.deal.delete',
                'name'      => 'Delete Deal',
            ],
            
                        [
                'slug'      => 'bixo.deal.deal.verify',
                'name'      => 'Verify Deal',
            ],
            [
                'slug'      => 'bixo.deal.deal.approve',
                'name'      => 'Approve Deal',
            ],
            [
                'slug'      => 'bixo.deal.deal.publish',
                'name'      => 'Publish Deal',
            ],
            [
                'slug'      => 'bixo.deal.deal.unpublish',
                'name'      => 'Unpublish Deal',
            ],
            [
                'slug'      => 'bixo.deal.deal.cancel',
                'name'      => 'Cancel Deal',
            ],
            [
                'slug'      => 'bixo.deal.deal.archive',
                'name'      => 'Archive Deal',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/deal/deal',
                'name'        => 'Deal',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/deal/deal',
                'name'        => 'Deal',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'deal',
                'name'        => 'Deal',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Deal',
                'module'    => 'Deal',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.deal.deal.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
