<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for deal in deal package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  deal module in deal package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Deal',
    'names' => 'Deals',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Deals',
        'sub' => 'Deals'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'category_type' => 
            [
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
                [
                    'key'    => 'Residential',
                    'value'  => 'Residential',
                    'text'   => 'Residential',
                ],
                                
                [
                    'key'    => 'Commercial',
                    'value'  => 'Commercial',
                    'text'   => 'Commercial',
                ],
                                
            ],

        'type' => 
            [
                                
                [
                    'key'    => 'Sales',
                    'value'  => 'Sales',
                    'text'   => 'Sales',
                ],
                                
                [
                    'key'    => 'Rental',
                    'value'  => 'Rental',
                    'text'   => 'Rental',
                ],
                                
                [
                    'key'    => 'Offplan',
                    'value'  => 'Offplan',
                    'text'   => 'Offplan',
                ],
                                
                [
                    'key'    => 'Others',
                    'value'  => 'Others',
                    'text'   => 'Others',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Closed',
                    'value'  => 'Closed',
                    'text'   => 'Closed',
                ],
                                
                [
                    'key'    => 'Pending',
                    'value'  => 'Pending',
                    'text'   => 'Pending',
                ],
                                
                [
                    'key'    => 'Approved',
                    'value'  => 'Approved',
                    'text'   => 'Approved',
                ],
                                
                [
                    'key'    => 'Draft',
                    'value'  => 'Draft',
                    'text'   => 'Draft',
                ],
                                
                [
                    'key'    => 'Paid',
                    'value'  => 'Paid',
                    'text'   => 'Paid',
                ],
                                
                [
                    'key'    => 'AML Pending',
                    'value'  => 'AML Pending',
                    'text'   => 'AML Pending',
                ],
                                
                [
                    'key'    => 'AML Rejected',
                    'value'  => 'AML Rejected',
                    'text'   => 'AML Rejected',
                ],
                                
                [
                    'key'    => 'AML Approved',
                    'value'  => 'AML Approved',
                    'text'   => 'AML Approved',
                ],
                                
                [
                    'key'    => 'KYC Pending',
                    'value'  => 'KYC Pending',
                    'text'   => 'KYC Pending',
                ],
                                
                [
                    'key'    => 'KYC Submitted',
                    'value'  => 'KYC Submitted',
                    'text'   => 'KYC Submitted',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'offer_id'                   => 'Please enter offer id',
        'listing_id'                 => 'Please enter listing id',
        'opportunity_id'             => 'Please enter opportunity id',
        'category_type'              => 'Please select category type',
        'category'                   => 'Please enter category',
        'seller_source'              => 'Please enter seller source',
        'buyer_source'               => 'Please enter buyer source',
        'country_id'                 => 'Please enter country id',
        'region_id'                  => 'Please enter region id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'building_id'                => 'Please enter building id',
        'ref'                        => 'Please enter ref',
        'type'                       => 'Please select type',
        'developer_id'               => 'Please enter developer id',
        'bua'                        => 'Please enter bua',
        'plot'                       => 'Please enter plot',
        'beds'                       => 'Please enter beds',
        'baths'                      => 'Please enter baths',
        'price'                      => 'Please enter price',
        'plot_area'                  => 'Please enter plot area',
        'frequency'                  => 'Please enter frequency',
        'furnished'                  => 'Please enter furnished',
        'cheques'                    => 'Please enter cheques',
        'payment_mode'               => 'Please enter payment mode',
        'maintenance_fee'            => 'Please enter maintenance fee',
        'rent_start_date'            => 'Please select rent start date',
        'rent_end_date'              => 'Please select rent end date',
        'next_available'             => 'Please select next available',
        'deposit'                    => 'Please enter deposit',
        'deposit_percent'            => 'Please enter deposit percent',
        'commission_buyer'           => 'Please enter commission buyer',
        'commission_buyer_percent'        => 'Please enter commission buyer percent',
        'commission_buyer_vat'        => 'Please enter commission buyer vat',
        'commission_seller'          => 'Please enter commission seller',
        'commission_seller_percent'        => 'Please enter commission seller percent',
        'commission_seller_vat'        => 'Please enter commission seller vat',
        'company_com_prs'            => 'Please enter company com prs',
        'company_com_amt'            => 'Please enter company com amt',
        'deal_date'                  => 'Please select deal date',
        'unit_no'                    => 'Please enter unit no',
        'agency_agent_name'          => 'Please enter agency agent name',
        'agency_name'                => 'Please enter agency name',
        'agency_representing'        => 'Please enter agency representing',
        'agency_prs'                 => 'Please enter agency prs',
        'agency_agents_mobile'        => 'Please enter agency agents mobile',
        'agency_amount'              => 'Please enter agency amount',
        'conveyance_fee'             => 'Please enter conveyance fee',
        'penalty'                    => 'Please enter penalty',
        'notes'                      => 'Please enter notes',
        'documents'                  => 'Please enter documents',
        'seller_documents'           => 'Please enter seller documents',
        'buyer_documents'            => 'Please enter buyer documents',
        'payment_date'               => 'Please select payment date',
        'status'                     => 'Please select status',
        'created_by'                 => 'Please enter created by',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'offer_id'                   => 'Offer id',
        'listing_id'                 => 'Listing id',
        'opportunity_id'             => 'Opportunity id',
        'category_type'              => 'Category type',
        'category'                   => 'Category',
        'seller_source'              => 'Seller source',
        'buyer_source'               => 'Buyer source',
        'country_id'                 => 'Country id',
        'region_id'                  => 'Region id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'building_id'                => 'Building id',
        'ref'                        => 'Ref',
        'type'                       => 'Type',
        'developer_id'               => 'Developer id',
        'bua'                        => 'Bua',
        'plot'                       => 'Plot',
        'beds'                       => 'Beds',
        'baths'                      => 'Baths',
        'price'                      => 'Price',
        'plot_area'                  => 'Plot area',
        'frequency'                  => 'Frequency',
        'furnished'                  => 'Furnished',
        'cheques'                    => 'Cheques',
        'payment_mode'               => 'Payment mode',
        'maintenance_fee'            => 'Maintenance fee',
        'rent_start_date'            => 'Rent start date',
        'rent_end_date'              => 'Rent end date',
        'next_available'             => 'Next available',
        'deposit'                    => 'Deposit',
        'deposit_percent'            => 'Deposit percent',
        'commission_buyer'           => 'Commission buyer',
        'commission_buyer_percent'        => 'Commission buyer percent',
        'commission_buyer_vat'        => 'Commission buyer vat',
        'commission_seller'          => 'Commission seller',
        'commission_seller_percent'        => 'Commission seller percent',
        'commission_seller_vat'        => 'Commission seller vat',
        'company_com_prs'            => 'Company com prs',
        'company_com_amt'            => 'Company com amt',
        'deal_date'                  => 'Deal date',
        'unit_no'                    => 'Unit no',
        'agency_agent_name'          => 'Agency agent name',
        'agency_name'                => 'Agency name',
        'agency_representing'        => 'Agency representing',
        'agency_prs'                 => 'Agency prs',
        'agency_agents_mobile'        => 'Agency agents mobile',
        'agency_amount'              => 'Agency amount',
        'conveyance_fee'             => 'Conveyance fee',
        'penalty'                    => 'Penalty',
        'notes'                      => 'Notes',
        'documents'                  => 'Documents',
        'seller_documents'           => 'Seller documents',
        'buyer_documents'            => 'Buyer documents',
        'payment_date'               => 'Payment date',
        'status'                     => 'Status',
        'created_by'                 => 'Created by',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
