<?php

namespace Bixo\Deal\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Deal\Models\Deal;


class DealAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.deal.deal';
    protected $eventClass = \Bixo\Deal\Events\DealAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Deal $deal, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $deal;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Deal $deal, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $deal = $deal->create($attributes);
        return $deal;
    }

    public function update(Deal $deal, array $request)
    {
        $attributes = $request;
        $deal->update($attributes);
        return $deal;
    }

    public function destroy(Deal $deal, array $request)
    {
        $deal->delete();
        return $deal;
    }

    public function copy(Deal $deal, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $deal = $deal->replicate();
            $deal->created_at = Carbon::now();
            $deal->save();
            return $deal;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $deal->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $deal;
    }


}
