<?php

namespace Bixo\Deal\Policies;

use Bixo\Deal\Models\Deal;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait DealAction
{

    /**
     * Determine if the given user can copy the given deal.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Deal $deal)
    {

        if ($authUser->canDo('deal.deal.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given deal.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Deal $deal) {

        if ($authUser->canDo('deal.deal.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given deal.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Deal $deal)
    {

        if ($authUser->canDo('deal.deal.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
