<?php

namespace Bixo\Deal\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Deal policy
        \Bixo\Deal\Models\Deal::class 
        => \Bixo\Deal\Policies\DealPolicy::class,// Bind Contact policy
        \Bixo\Deal\Models\Contact::class 
        => \Bixo\Deal\Policies\ContactPolicy::class,// Bind User policy
        \Bixo\Deal\Models\User::class 
        => \Bixo\Deal\Policies\UserPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
